SDGParser Class Reference documentation

SDGParser Class Reference

the main class to read a StarOffice sdg file More...

`#include <SDGParser.hxx>`

Inheritance diagram for SDGParser:

## Public Member Functions
| SDGParser (STOFFInputStreamPtr input, STOFFHeader *header)
| constructor
virtual | ~SDGParser ()
| destructor
void | setDocumentPassword (char const *passwd)
| set the document password
bool | checkHeader (STOFFHeader *header, bool strict=false)
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface)
| virtual function used to parse the input
Public Member Functions inherited from STOFFGraphicParser
virtual void | parse (librevenge::RVNGPresentationInterface *documentInterface)
| virtual function used to parse the input
Public Member Functions inherited from STOFFParser
virtual | ~STOFFParser ()
| virtual destructor
int | version () const
| returns the works version
STOFFParserStatePtr | getParserState ()
| returns the parser state
STOFFHeader * | getHeader ()
| returns the header
STOFFInputStreamPtr & | getInput ()
| returns the actual input
STOFFPageSpan const & | getPageSpan () const
| returns the actual page dimension
STOFFPageSpan & | getPageSpan ()
| returns the actual page dimension
STOFFGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
STOFFSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
STOFFTextListenerPtr & | getTextListener ()
| returns the text listener
libstoff::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| parses the different OLE, ...
bool | readSGA3 (StarZone &zone)
| try to read a SGA3 zone
bool | readBitmap (StarZone &zone)
| try to read a bitmap
Protected Member Functions inherited from STOFFGraphicParser
| STOFFGraphicParser (STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected)
| STOFFGraphicParser (STOFFParserStatePtr state)
| constructor using a state
virtual | ~STOFFGraphicParser ()
| destructor
Protected Member Functions inherited from STOFFParser
| STOFFParser (STOFFParserState::Type type, STOFFInputStreamPtr input, STOFFHeader *header)
| constructor (protected)
| STOFFParser (STOFFParserStatePtr state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (STOFFGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the graphic listener
void | setSpreadsheetListener (STOFFSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the spreadsheet listener
void | setTextListener (STOFFTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the text listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
char const * | m_password
| the password
shared_ptr< SDGParserInternal::State > | m_state
| the state

## Private Member Functions
| SDGParser (SDGParser const &orig)
SDGParser & | operator= (SDGParser const &orig)

## Detailed Description

the main class to read a StarOffice sdg file

## Constructor & Destructor Documentation

## ◆ SDGParser() [1/2]

SDGParser::SDGParser | ( | STOFFInputStreamPtr | input,
|  | STOFFHeader * | header )

constructor

Referenced by operator=(), and SDGParser().

## ◆ ~SDGParser()

SDGParser::~SDGParser | ( |  | ) |
| virtual

destructor

## ◆ SDGParser() [2/2]

SDGParser::SDGParser | ( | SDGParser const & | orig | ) |
| private

## Member Function Documentation

## ◆ checkHeader()

bool SDGParser::checkHeader | ( | STOFFHeader * | header,
|  | bool | strict = false )
| virtual

checks if the document header is correct (or not)

Implements STOFFParser.

Referenced by parse().

## ◆ createDocument()

void SDGParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool SDGParser::createZones | ( |  | ) |
| protected

parses the different OLE, ...

Referenced by parse().

## ◆ operator=()

SDGParser & SDGParser::operator= | ( | SDGParser const & | orig | ) |
| private

## ◆ parse()

void SDGParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Reimplemented from STOFFGraphicParser.

## ◆ readBitmap()

bool SDGParser::readBitmap | ( | StarZone & | zone | ) |
| protected

try to read a bitmap

Referenced by readSGA3().

## ◆ readSGA3()

bool SDGParser::readSGA3 | ( | StarZone & | zone | ) |
| protected

try to read a SGA3 zone

Referenced by createZones().

## ◆ setDocumentPassword()

void SDGParser::setDocumentPassword | ( | char const * | passwd | ) |
| inline

set the document password

Referenced by STOFFDocumentInternal::getGraphicParserFromHeader().

## Member Data Documentation

## ◆ m_password

char const* SDGParser::m_password
| protected

the password

Referenced by createZones(), SDGParser(), and setDocumentPassword().

## ◆ m_state

shared_ptr<SDGParserInternal::State> SDGParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), parse(), readBitmap(), and SDGParser().

The documentation for this class was generated from the following files:

- SDGParser.hxx
- SDGParser.cxx